using Cysharp.Threading.Tasks;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using UnityEngine.Networking;

namespace TFramework
{
    public class WebNetManager : BaseManager
    {
        public int m_timeOut = 20;

        NetHelper net;

        private void Start()
        {
            net = new NetHelper(m_timeOut);
        }

        public async UniTask<CallBackArgs> SendGet(string url)
        {
            return await net.Get(url);
        }

        public async UniTask<CallBackArgs> SendPost(string url, string json, params Header[] headers)
        {
            return await net.Post(url, json, headers);
        }

        public async UniTask<CallBackArgs> SendPost(string url, WWWForm form)
        {
            return await net.Post(url, form);
        }
    }
}
